MONGOC_WRITE_CONCERN_GET_WTIMEOUT(3)

NAME
mongoc_write_concern_get_wtimeout - mongoc_write_concern_get_wtimeout()

SYNOPSIS

int32_t
mongoc_write_concern_get_wtimeout (const mongoc_write_concern_t *write_concern);

PARAMETERS

•   write_concern: A mongoc_write_concern_t.

DESCRIPTION

Get the timeout in milliseconds that the server should wait before returning with a write concern timeout.

A value of 0 indicates no write timeout.

RETURNS

Returns an 32-bit signed integer containing the timeout.

SEE ALSO:
mongoc_write_concern_set_wtimeout() and mongoc_write_concern_get_wtimeout_int64().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc